//
//  Amasty JetTheme compatibility
//  ____________________________________

//
//  Variables
//  ____________________________________

@theme-slick-arrows__size: 40px;
@theme-checked-label__size: 15px;

//
//  Common
//  ------------------------------------

& when (@media-common = true) {
    .amasty-jet-theme.amtheme-ismobile {
        .data.item.content .amrev-title-block.amreview-customer-review.pages {
            display: none;
        }
    }

    .amasty-jet-theme {
        .amreview-recommend-wrap,
        .amreview-gdpr-wrap {
            > .amreview-checkboxlabel:before,
            > .amreview-checkboxlabel:before,
            > .amreview-checkbox:checked ~ .amreview-checkboxlabel:after,
            > .amreview-checkbox:checked ~ .amreview-checkboxlabel:after {
                margin: 0;
            }
        }

        .amrev-voteqty,
        .amreview-helpful,
        .amreview-description,
        .amreview-checkboxlabel,
        .amreview-recommend-wrap,
        .amreview-adminanswer-block,
        .amreview-label > .amreview-stars,
        .amreview-summary-info .amreview-count,
        .amrev-comment-form .amrev-label,
        .amrev-comment-form .amrev-input,
        .review-field-rating > .label,
        .amreview-summary-info .amreview-summary {
            .lib-css(color, @amtheme__text-secondary__color);
        }

        .amrev-sorting,
        .amreview-add-new,
        .amrev-comment-list,
        .amrev-comment-block,
        .amrev-toolbar-container,
        .amreview-widget-container.-summary-widget,
        .amreview-widget-container .amreview-review-items .amreview-review-wrapper.review-item {
            .lib-css(background, @amtheme__background-primary__color);
            .lib-css(color, @amtheme__text-secondary__color);
        }

        .amreview-title,
        .amreview-toolbar-wrap strong.page {
            .lib-css(color, @amtheme__text-secondary__color);

            background: inherit;
        }

        .amrev-comment-form .amrev-input {
            .lib-css(background, @amtheme__background-tertiary__color);
            .lib-css(border-color, @amtheme__border__color);
        }

        .amreview-images.slick-slider .slick-arrow {
            width: @theme-slick-arrows__size;
            height: @theme-slick-arrows__size;
            background-size: auto !important; // use theme sizes and background
            filter: invert(.8);
        }

        .amshowmore-container .amshowmore-text:after {
            box-shadow: inset 0 -15px 10px 0 fade(@amtheme__background-tertiary__color, 70%);
        }

        .amrev-label:before,
        .amrev-label:after {
            margin: 0;
        }

        .amrev-label:after {
            width: @theme-checked-label__size;
            height: @theme-checked-label__size;
            background-size: inherit;
        }
    }
}

//
//  Mobile
//  ---------------------------------------------

.media-width(@extremum, @break) when (@extremum = 'max') and (@break = @screen__m) {
    body:not(.amtheme-ismobile) {
        .amtheme-reviews-aside.-amrev {
            display: none;
        }
    }
}

//
//  Desktop
//  ---------------------------------------------

.media-width(@extremum, @break) when (@extremum = 'min') and (@break = @screen__m) {
    .amtheme-reviews-aside.-amrev {
        display: none;
    }
}
